Class | Chef::Provider::Package::Macports
In: | lib/chef/provider/package/macports.rb
Parent: | Chef::Provider::Package

### Methods

current_installed_version install_package load_current_resource macports_candidate_version purge_package remove_package upgrade_package

### Public Instance methods

current_installed_version()
install_package(name, version)
load_current_resource()
macports_candidate_version()
purge_package(name, version)
remove_package(name, version)
upgrade_package(name, version)

[Validate]